Bug 971931 - More > Configuration > Environments: Import from $proxy triggers error.
More > Configuration > Environments: Import from $proxy triggers error.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Ohad Levy
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 11:39 EDT by Corey Welton
Modified: 2014-04-24 13:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-06-07 11:39:27 EDT
Description of problem:
When user clicks the "Import from (proxy name)" button, an error is thrown.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Successfully create a smart proxy in foreman, "katello-smart-proxy". Perhaps necessary, create environments in your org within katello as well.
2.  More > Configuration > Environments
3.  Click the "Import from katello-smart-proxy" button in the upper right 

Actual results:
Oops, we're sorry but something went wrong
 
x 406 Not Acceptable

RestClient::NotAcceptable
406 Not Acceptable
lib/proxy_api/resource.rb:68:in `get'
lib/proxy_api/puppet.rb:9:in `environments'
app/models/puppet_class_importer.rb:121:in `actual_environments'
app/models/puppet_class_importer.rb:21:in `changes'
lib/foreman/controller/environments.rb:9:in `import_environments'
lib/foreman/thread_session.rb:31:in `clear_thread'

Expected results:
Not exactly sure, but likely not that error.

Additional info:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10004-1.noarch
* foreman-compute-1.1.10004-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10004-1.noarch
* foreman-postgresql-1.1.10004-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-10.el6sat.noarch
* katello-all-1.4.2-10.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-7.el6sat.noarch
* katello-cli-common-1.4.2-7.el6sat.noarch
* katello-common-1.4.2-10.el6sat.noarch
* katello-configure-1.4.3-14.el6sat.noarch
* katello-configure-foreman-1.4.3-14.el6sat.noarch
* katello-foreman-all-1.4.2-10.el6sat.noarch
* katello-glue-candlepin-1.4.2-10.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-10.el6sat.noarch
* katello-glue-pulp-1.4.2-10.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* openldap-devel-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* signo-0.0.16-1.el6sat.noarch
* signo-katello-0.0.16-1.el6sat.noarch
Comment 1 Dominic Cleal 2013-06-07 13:35:31 EDT
Logs?  Especially /var/log/foreman-proxy/proxy.log.
Comment 2 Corey Welton 2013-06-10 10:01:37 EDT
I'll doublecheck logs but I'm pretty sure it was what was referenced in the expanded diagnostics above:

RestClient::NotAcceptable
406 Not Acceptable
lib/proxy_api/resource.rb:68:in `get'
lib/proxy_api/puppet.rb:9:in `environments'
app/models/puppet_class_importer.rb:121:in `actual_environments'
app/models/puppet_class_importer.rb:21:in `changes'
lib/foreman/controller/environments.rb:9:in `import_environments'
lib/foreman/thread_session.rb:31:in `clear_thread'


I will also check proxy logs itself.
Comment 3 Corey Welton 2013-06-10 11:10:32 EDT
All that shows up in proxy log is:

E, [2013-06-10T11:10:00.225958 #9279] ERROR -- : Failed to list puppet environments: Cannot read /etc/puppet/puppet.conf
Comment 4 Dominic Cleal 2013-06-10 11:12:02 EDT
(In reply to Corey Welton from comment #3)
> All that shows up in proxy log is:
> 
> E, [2013-06-10T11:10:00.225958 #9279] ERROR -- : Failed to list puppet
> environments: Cannot read /etc/puppet/puppet.conf

That'll be it then, the ruby193-puppet package relocates this to /opt/rh/ruby193/root/etc/puppet/puppet.conf IIRC.

Given this is Puppet-specific functionality, I'd suggest deferring to 6.0.2.
Comment 6 Dominic Cleal 2013-09-24 05:03:03 EDT
We've moved to non-SCL Puppet, so this config file issue should no longer be a problem.  Should be fine to test using the new node-installer.
Comment 7 Og Maciel 2013-10-20 16:48:17 EDT
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-39.el6sat.noarch
* katello-all-1.4.6-39.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-39.el6sat.noarch
* katello-configure-1.4.7-5.el6sat.noarch
* katello-configure-foreman-1.4.7-5.el6sat.noarch
* katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
* katello-foreman-all-1.4.6-39.el6sat.noarch
* katello-glue-candlepin-1.4.6-39.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
* katello-glue-pulp-1.4.6-39.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.22-2.el6sat.noarch
* signo-katello-0.0.22-2.el6sat.noarch
Comment 10 Bryan Kearney 2014-04-24 13:10:57 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 11 Bryan Kearney 2014-04-24 13:12:00 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.